Bug 340271 - Trouble with multilib update path
Summary: Trouble with multilib update path
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-19 18:24 UTC by Jochen Schmitt
Modified: 2014-01-21 22:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-07 12:52:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jochen Schmitt 2007-10-19 18:24:59 UTC
As described in BZ #339981 I have a severe issue when I update an package but
the i386 version of the package was gone.

I suggest, that the i386 version of the package should be deleted, if it will be
not provided in the repository.

Comment 1 Rex Dieter 2007-10-19 21:02:02 UTC
One crazy idea would be to implement forced Obsoletes (possibly including
arch-specific ones) via a yum plugin to help handle cases like these.  Of
course, that may just be the crack-rock talking...

Comment 2 Jeremy Katz 2007-10-22 18:05:22 UTC
Seth had started on a plugin to do removals on upgrade and a metadata file that
could be included in the repo to track things like this

Comment 3 Rex Dieter 2007-10-22 18:12:55 UTC
Woohoo, so it wasn't crack afterall, unless we're all using the same stuff... :)

Comment 4 Seth Vidal 2007-10-22 18:17:26 UTC
http://skvidal.fedorapeople.org/misc/remove-stuff-plugin.py

That's the plugin

Comment 5 Tim Lauridsen 2007-10-23 07:43:21 UTC
(In reply to comment #4)
> http://skvidal.fedorapeople.org/misc/remove-stuff-plugin.py
> 
> That's the plugin

Very cool, shall we include it in yum-utils ?

maybe adding rpm & yum to the badmatches is a good idea ?


Comment 6 Seth Vidal 2007-12-07 03:33:45 UTC
go ahead and merge it into yum-utils. It's still a little hurky from a support
standpoint but someone can make good use of it until we figure out if we need it
for regular use in fedora.

Comment 7 Tim Lauridsen 2007-12-07 08:49:51 UTC
Seth: Look like you already have added it yourself (upgrade-helper plugin) :)

Comment 8 Seth Vidal 2007-12-07 12:52:24 UTC
whoops. It had slipped my mind. closing.


Note You need to log in before you can comment on or make changes to this bug.